Bug 72485 - assorted menu suggestions
assorted menu suggestions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 08:51 EDT by Chris Chabot
Modified: 2008-04-23 01:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 01:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Chabot 2002-08-24 08:51:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; U)

Description of problem:
I love the direction the newer redhat-menu's are going.. consistent icons and
good user friendly names make it a lot more usable for new users. However, a few
things struck me as posible good improvements:

- Include gimp in graphics.. its to much of a killer app, and even non advanced
gfx users want to be able to rotate pictures and simple jobs like that for which
the gimp is quite usable.
- More consitent naming for system/settings programs, forinstance if you start
the 'Disk Management Tool' you get an application with the title 'User Mount
Tool'.. i could imagine this would confuse a user
- In graphics, not every apps has a user-friendly name (XSane, xpdf, GQview in
my case)
- I would sugest including gftp in the internet menu.. not everyone would use
this, but it's a relativ 'major functionality' still
- The same for PAN (News group reader)?
- Include xine as DVD/Video player in Sound/Video ? (there's no dvd or video
player in the current menu's.. be good to offer that functionality)
- Include the 'CD Writer' in system tools? Again, 'major' functionality

All in all i would think the guideline for the menu's could be: as little as
posible, best of breed applications, but including every major application type

(and ofcource i would still love to see the settings/system settings/server
settings menu's condensed into a single menu (settings) with sub menu's (system,
server) to clean up the number of entries on the main menu a bit)

Ps, would it be posible to default the windows and ctrl-esc keys to pop up the
main menu? This is one of the very few shortcuts that i have seen used by
not-so-advanced-users.


Version-Release number of selected component (if applicable):
redhat-menus-0.21-1
Comment 1 Havoc Pennington 2002-08-24 14:50:17 EDT
all fair comment.
Comment 2 Jan Sabbe 2002-08-26 08:53:45 EDT
I have some other suggestions:
System Tools and System Settings can cause some confusion, and it doesn't allow
for quickly scanning the menu by just looking at the first couple of letters. My
suggestion is to either put everything into a menu "System" (the settings and
the tools), or rename "System Tools" to "Tools".

Cleaning up the current system tools would be nice too:
We have two tools that deal with floppys, I propose to move the gfloppy tool to
the Extras-menu, and keep the disk management tool.

Kickstart isn't a descriptive name. Suggestion: "Automatic System Installer",
"Auto-install", or something like that.

Rename "Print Manager" to "Printer", and add the capability to add printers.

Rename "Red Hat Network" to "Software Update"

Rename "System Logs" to "Logs". We are already in a "System" submenu, so the
user knows that Logs have something to do with the system.
The same goes for System Monitor. 

Comment 3 Daniel 2002-09-23 23:13:05 EDT
A couple of other things:

In KDE, at least, there are a bunch of submenus. One of them is "Extras," which
then replicates the same submenus but with different packages. This is Silly.
Simply merge everything in "extras" back into the main menu. (I did an
'everything' install)

I know this is a kde issue rather than redhat, but the KDE menu should really be
easily editable.
Comment 4 Ray Strode [halfline] 2005-09-09 13:31:47 EDT
Many of these issues still exist, i'm going to change the product to something
recent...
Comment 5 Matthias Clasen 2008-04-23 01:26:06 EDT
Obviously, keeping this bug open doesn't achieve anything in terms of actual
changes. Closing.

Note You need to log in before you can comment on or make changes to this bug.